export class StringifyingSet {
    constructor(catToString) {
        this.catToString = catToString;
        this.internalSet = new Set();
    }
    add(v) {
        return this.internalSet.add(this.catToString(v));
    }
    has(v) {
        return this.internalSet.has(this.catToString(v));
    }
    delete(v) {
        return this.internalSet.delete(this.catToString(v));
    }
    get size() {
        return this.internalSet.size;
    }
    forEach(callback, thisArg) {
        this.internalSet.forEach(callback, thisArg);
    }
}
